## filelight 14.12.3

=== debian/changelog ===
filelight (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:22:24 -0700

filelight (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 17 Feb 2015 10:06:06 +0100

filelight (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:37:53 -0800

filelight (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:46:25 +0100

filelight (4:14.11.97-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release candidate

  [ Jonathan Riddell ]
  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Dec 2014 14:51:04 +0100

filelight (4:14.11.95-0ubuntu2) vivid; urgency=medium

  * Fix Watch file applications locations 
  * Fix VCS for new kde-applications location 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 24 Nov 2014 09:08:39 -0800

filelight (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
  * Debian merge, no remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sat, 22 Nov 2014 09:26:05 +0000

filelight (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 03:55:49 -0700

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/filelight.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/filelight.git

Package: filelight
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/filelight-([\d.]+).tar.xz

## filelight 15.08.2

=== debian/changelog ===
filelight (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:50:43 +0100

filelight (4:15.08.1-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 01 Oct 2015 09:31:05 -0700

filelight (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:07:46 +0100

filelight (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 16:58:24 +0100

filelight (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:28:49 +0100

filelight (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:27:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,16 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               pkg-kde-tools (>= 0.12)
+               extra-cmake-modules (>= 1.3.0),
+               kdoctools-dev,
+               kio-dev,
+               libkf5coreaddons-dev,
+               libkf5i18n-dev,
+               libkf5parts-dev,
+               libkf5solid-dev,
+               libkf5xmlgui-dev,
+               pkg-kde-tools (>= 0.12),
+               qtscript5-dev
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/filelight.git

## filelight 15.12.3

=== debian/changelog ===
filelight (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:54:43 -0700

filelight (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Merge with debian git master

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:24:16 +0100

filelight (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Sep 2015 21:31:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0),
+               extra-cmake-modules (>= 1.3.0~),
                kdoctools-dev,
                kio-dev,
                libkf5coreaddons-dev,
@@ -18,7 +18,8 @@
                libkf5solid-dev,
                libkf5xmlgui-dev,
                pkg-kde-tools (>= 0.12),
-               qtscript5-dev
+               qtbase5-dev (>= 5.4),
+               qtscript5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/filelight.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/filelight-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/filelight-([\d.]+).tar.xz

## filelight 16.04.3

=== debian/changelog ===
filelight (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:29:21 +0200

filelight (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:22:32 +0100

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,21 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev,
-               kio-dev,
-               libkf5coreaddons-dev,
-               libkf5i18n-dev,
-               libkf5parts-dev,
-               libkf5solid-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5parts-dev (>= 5.24.0~),
+               libkf5solid-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4)
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/filelight.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/filelight.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
 
 Package: filelight
 Architecture: any

## filelight 16.08.3

=== src/part/CMakeLists.txt ===
#######################################################################
# Copyright 2008-2009  Martin Sandsmark <martin.sandsmark@kde.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

set(filelight_PART_SRCS
    radialMap/widget.cpp
    radialMap/builder.cpp
    radialMap/map.cpp
    radialMap/widgetEvents.cpp
    radialMap/labels.cpp
    part.cpp
    scan.cpp
    progressBox.cpp
    Config.cpp
    settingsDialog.cpp
    fileTree.cpp
    localLister.cpp
    remoteLister.cpp
    summaryWidget.cpp)

ki18n_wrap_ui(filelight_PART_SRCS dialog.ui)

add_library(filelightpart MODULE ${filelight_PART_SRCS})

target_link_libraries(filelightpart
    KF5::Parts
    KF5::KIOCore
    KF5::Solid
)

install(TARGETS filelightpart DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
filelight (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:54:11 +0100

filelight (4:16.08.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:05:59 +0200

filelight (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 00:36:45 +0200

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,23 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kdoctools-dev (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5parts-dev (>= 5.24.0~),
-               libkf5solid-dev (>= 5.24.0~),
-               libkf5xmlgui-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.3.0~),
+               kdoctools-dev,
+               kio-dev,
+               libkf5coreaddons-dev,
+               libkf5doctools-dev,
+               libkf5i18n-dev,
+               libkf5kio-dev,
+               libkf5parts-dev,
+               libkf5solid-dev,
+               libkf5xmlgui-dev,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~)
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.4),
+               qtscript5-dev (>= 5.4)
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/filelight.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/filelight.git
 
 Package: filelight
 Architecture: any

## filelight 16.12.3

=== debian/changelog ===
filelight (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:30:45 +0000

filelight (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:19:42 +0000

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,21 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev,
-               kio-dev,
-               libkf5coreaddons-dev,
-               libkf5doctools-dev,
-               libkf5i18n-dev,
-               libkf5kio-dev,
-               libkf5parts-dev,
-               libkf5solid-dev,
-               libkf5xmlgui-dev,
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5solid-dev (>= 5.31.0~),
+               libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4),
-               qtscript5-dev (>= 5.4)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/filelight.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/filelight.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
 
 Package: filelight
 Architecture: any

## filelight 17.04.3

=== debian/changelog ===
filelight (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:35:19 +0100

## filelight 17.08.3

=== debian/changelog ===
filelight (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 20:54:40 +0100

filelight (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update uploaders list as requested by MIA team (Closes: #879290)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Remove trailing whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Nov 2017 16:06:40 +0100

filelight (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:31:09 +0000

filelight (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:21 +0000

filelight (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:00 +0000

filelight (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:09:46 +0000

filelight (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:32 +0000

filelight (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:31 +0000

filelight (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:52:19 +0000

filelight (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:14:46 +0000

filelight (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:23:12 +0000

filelight (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:51:46 +0000

filelight (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:49 +0000

filelight (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:04:53 +0000

filelight (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:04 +0000

filelight (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:29 +0000

filelight (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 14:46:01 +0000

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5parts-dev,
               libkf5solid-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/filelight.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/filelight.git

Package: filelight
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 17.12.3

=== CMakeLists.txt ===
#######################################################################
# Copyright 2008-2014  Martin Sandsmark <martin.sandsmark@kde.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

project(Filelight)

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "17")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

set(PROJECT_VERSION ${KDE_APPLICATIONS_VERSION})

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(ECMAddAppIcon)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(Qt5 5.4 CONFIG REQUIRED Core Widgets)
find_package(KF5 REQUIRED
    XmlGui # For app
    KIO # For part
    I18n
)
find_package(KF5DocTools) # Optional, not needed on Windows for example.

add_definitions(
    -DQT_USE_FAST_CONCATENATION
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
)

add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")

include_directories(src/)

add_subdirectory(src)
add_subdirectory(misc)
if (KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===
#######################################################################
# Copyright 2008-2014  Martin Sandsmark <martin.sandsmark@kde.org>
# Copyright 2017  Harald Sitter <sitter@kde.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX FILELIGHT
    VERSION_HEADER version.h)

set(filelight_SRCS
    radialMap/widget.cpp
    radialMap/map.cpp
    radialMap/widgetEvents.cpp
    radialMap/labels.cpp
    scan.cpp
    progressBox.cpp
    Config.cpp
    settingsDialog.cpp
    fileTree.cpp
    localLister.cpp
    remoteLister.cpp
    summaryWidget.cpp
    historyAction.cpp
    mainWindow.cpp
    main.cpp
)
set(filelight_ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/16-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/32-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/48-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/64-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/128-apps-filelight.png
)
ecm_add_app_icon(filelight_SRCS ICONS
    ${filelight_ICONS})
ki18n_wrap_ui(filelight_SRCS dialog.ui)
add_executable(filelight ${filelight_SRCS})

target_link_libraries(filelight
    KF5::I18n
    KF5::XmlGui
    KF5::KIOWidgets # Only used for KDirLister, may be able to move away from that.
)
if (WIN32)
    find_package(KDEWin REQUIRED)
    target_link_libraries(filelight kdewin)
endif()

install(TARGETS filelight ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
filelight (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:23:04 +0000

filelight (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:05 +0000

filelight (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:01:33 +0000

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight

Package: filelight
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 18.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,9 +23,9 @@
 cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "17")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
+set(KDE_APPLICATIONS_VERSION_MAJOR "18")
+set(KDE_APPLICATIONS_VERSION_MINOR "04")
+set(KDE_APPLICATIONS_VERSION_MICRO "1")
 set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 set(PROJECT_VERSION ${KDE_APPLICATIONS_VERSION})

=== debian/changelog ===
filelight (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Wed, 23 May 2018 01:11:17 +0200

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 1.3.0~),
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5parts-dev,
               libkf5solid-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/filelight
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/filelight.git

Package: filelight
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 18.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # KDE Application Version, managed by release script
 set(KDE_APPLICATIONS_VERSION_MAJOR "18")
 set(KDE_APPLICATIONS_VERSION_MINOR "04")
-set(KDE_APPLICATIONS_VERSION_MICRO "1")
+set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 
 set(PROJECT_VERSION ${KDE_APPLICATIONS_VERSION})

=== debian/changelog ===
filelight (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:13:59 +0100

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5solid-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight

Package: filelight
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 18.12.3

=== debian/changelog ===
filelight (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:25:00 +0000

filelight (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:12:26 +0000

filelight (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:07:57 +0000

filelight (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:46:36 +0000

filelight (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 09:57:26 +0000

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 1.3.0~),
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5parts-dev,
               libkf5solid-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
Standards-Version: 4.1.4
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight

Package: filelight
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 19.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,19 +18,23 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #######################################################################
 
-project(Filelight)
-
-cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "18")
+set(KDE_APPLICATIONS_VERSION_MAJOR "19")
 set(KDE_APPLICATIONS_VERSION_MINOR "04")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(SPECTACLE_VERSION ${KDE_APPLICATIONS_VERSION})
+# minimum requirements
+
+cmake_minimum_required (VERSION 3.0 FATAL_ERROR)
+# Spectacle project
+project(Filelight VERSION ${SPECTACLE_VERSION})
 
 set(PROJECT_VERSION ${KDE_APPLICATIONS_VERSION})
+set(KF5_MIN_VERSION "5.30.0")
 
-find_package(ECM 1.3.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 include(ECMAddAppIcon)
@@ -42,33 +46,29 @@
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(ECMQtDeclareLoggingCategory)
 
-find_package(Qt5 5.4 CONFIG REQUIRED Core Widgets)
-find_package(KF5 REQUIRED
+find_package(Qt5 5.9 CONFIG REQUIRED Core Widgets)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
     XmlGui # For app
     KIO # For part
     I18n
 )
 find_package(KF5DocTools) # Optional, not needed on Windows for example.
 
-add_definitions(
-    -DQT_USE_FAST_CONCATENATION
-    -DQT_USE_FAST_OPERATOR_PLUS
-    -DQT_NO_CAST_FROM_ASCII
-    -DQT_NO_CAST_TO_ASCII
-    -DQT_NO_URL_CAST_FROM_STRING
-)
-
 add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")
 
-include_directories(src/)
+include_directories(src)
 
 add_subdirectory(src)
 add_subdirectory(misc)
 if (KF5DocTools_FOUND)
     add_subdirectory(doc)
 endif()
+
+install( FILES filelight.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
 if (KF5DocTools_FOUND)

=== debian/changelog ===
filelight (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:10:41 +0100

filelight (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 14:59:32 +0100

filelight (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:54:44 +0100

filelight (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:40:06 +0100

## filelight 19.08.1

=== debian/changelog ===
filelight (4:19.08.1-1) unstable; urgency=medium

  * New upstream release (19.08.1).
  * Bump debhelper build-dep and compat to 12.
  * Bump Standards-Version to 4.4.0.
  * Update build-deps and deps with the info from cmake
  * Drop kde-l10n breaks/replaces, fixed versions already in stable
  * Add a salsa-ci script
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Sep 2019 09:41:27 -0700

filelight (4:18.04.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Breaks+Replaces against filelight-l10n from squeeze. (Closes: #911783)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 24 Mar 2019 01:54:15 +0100

## filelight 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,18 +21,18 @@
 
 # KDE Application Version, managed by release script
 set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "04")
+set(KDE_APPLICATIONS_VERSION_MINOR "12")
 set(KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
-set(SPECTACLE_VERSION ${KDE_APPLICATIONS_VERSION})
+set(FILELIGHT_VERSION ${KDE_APPLICATIONS_VERSION})
 # minimum requirements
 
-cmake_minimum_required (VERSION 3.0 FATAL_ERROR)
-# Spectacle project
-project(Filelight VERSION ${SPECTACLE_VERSION})
+cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+project(Filelight VERSION ${FILELIGHT_VERSION})
 
 set(PROJECT_VERSION ${KDE_APPLICATIONS_VERSION})
-set(KF5_MIN_VERSION "5.30.0")
+set(KF5_MIN_VERSION "5.46.0")
+set(QT_REQUIRED_VERSION "5.11.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
@@ -49,7 +49,7 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 
-find_package(Qt5 5.9 CONFIG REQUIRED Core Widgets)
+find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
     XmlGui # For app
     KIO # For part
@@ -58,6 +58,14 @@
 find_package(KF5DocTools) # Optional, not needed on Windows for example.
 
 add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")
+if (KF5Config_VERSION VERSION_GREATER "5.56.0")
+        add_definitions(-DQT_NO_FOREACH)
+        MESSAGE(STATUS "compile without foreach")
+endif()
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
+endif()
 
 include_directories(src)
 
@@ -67,7 +75,11 @@
     add_subdirectory(doc)
 endif()
 
-install( FILES filelight.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
+if (ECM_VERSION VERSION_GREATER "5.58.0")
+    install(FILES filelight.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+else()
+    install(FILES filelight.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+endif()
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)

=== debian/changelog ===
filelight (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:04:59 +0000

filelight (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:16:35 +0000

filelight (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:50:29 +0000

filelight (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:44:01 +0000

filelight (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:28:47 +0000

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 12~),
               extra-cmake-modules (>= 5.46.0~),
               libkf5coreaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.46.0~),
               libkf5kio-dev (>= 5.46.0~),
               libkf5parts-dev,
               libkf5solid-dev,
               libkf5xmlgui-dev (>= 5.46.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9~),
               qtscript5-dev (>= 5.4),
Standards-Version: 4.4.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/filelight
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/filelight.git

Package: filelight
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 20.08.1

=== debian/changelog ===
filelight (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:49:03 +0100

filelight (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:43:09 +0100

filelight (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.11.0
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Switch the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update lintian overrides.
  * Remove the empty line at the end of changelog.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 14:56:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper (>= 12~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.46.0~),
+               gettext,
                libkf5coreaddons-dev,
                libkf5doctools-dev,
                libkf5i18n-dev (>= 5.46.0~),
@@ -17,9 +18,10 @@
                libkf5solid-dev,
                libkf5xmlgui-dev (>= 5.46.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.9~),
-               qtscript5-dev (>= 5.4),
-Standards-Version: 4.4.0
+               qtbase5-dev (>= 5.11.0~),
+               qtscript5-dev (>= 5.11.0~),
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/filelight
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/filelight.git
